const path = require('path')

const resolve = filePath => path.resolve(__dirname, filePath)

const routerOptions = {
  prefix: '/api'
}
const lruOptions = {
  max: 50, // 最多缓存50个
  maxAge: 1000 * 60 * 60 * 1 // 缓存1小时
}
const watchFileOptions = {
  interval: 60 * 10e2 // 轮询时间间隔
}
const dataPath = resolve('./data/data.txt')
const reviewDataPath = resolve('./data/reviewData.txt')
const staticPath = resolve('../dist')
const filePath = {
  dataPath,
  reviewDataPath,
  staticPath
}

const config = {
  routerOptions,
  lruOptions,
  watchFileOptions,
  filePath
}

module.exports = config
